Subject: [NSIS] refreshes

From: Nakhjiri Madjid-MNAKHJI1 <[email-masked]>
Date: Fri, 19 Apr 2002 15:54:17 -0500

Ilya,

Thanks for the respone and sorry for the delay. Are refreshes required then?
I must have missed it in the requirements?

BR,
Madjid

-----Original Message-----
From: Freytsis, Ilya [mailto:[email-masked]]
Sent: Thursday, April 11, 2002 11:14 PM
To: 'Nakhjiri Madjid-MNAKHJI1'; Freytsis, Ilya; [email-masked]
Cc: [email-masked]
Subject: RE: pre-emption (was RE: [NSIS] proposals related to NSIS WGdraf t)

Madjid,

Reservation lifetime (applicable for soft reservations as well as hard
reservations) is not meant to replace the refreshes that are needed for the
soft state based reservations. 

Ilya

-----Original Message-----
From: Nakhjiri Madjid-MNAKHJI1 [mailto:[email-masked]]
Sent: Thursday, April 11, 2002 5:27 PM
To: 'Freytsis, Ilya'; [email-masked]
Cc: [email-masked]
Subject: RE: pre-emption (was RE: [NSIS] proposals related to NSIS WGdraf t)

Hi,

I have not been following this discussion closely, so sorry if this
has been brought up. My question is, if NSIS does not intend
to use refreshes and just add reservation lifetime as opaque info
to the NSIS messages, then inherent reliability mechanism that
RSVP was getting from refreshes is gone??

Did I miss something?

Regards,
Madjid

-----Original Message-----
From: Freytsis, Ilya [mailto:[email-masked]]
Sent: Thursday, April 11, 2002 8:55 AM
To: [email-masked]
Cc: [email-masked]
Subject: RE: pre-emption (was RE: [NSIS] proposals related to NSIS WGdraf t)

Marco,

I fully support your position. Honestly, I was a little bit surprised by the
intensity of this discussion and how much time it has taken. I still do not
understand what exactly James (Polk) wanted to see included in NSIS
requirements.

Ilya

Related to the issue of preemption, a group of us discussed the issue of
reservation lifetime while in Minneapolis. Our conclusion was that this
could be done transparently by building it into the service description
which is carried by, but not visible to, NSIS. Reservation lifetime would
only be seen in a service specific field which is part of the service
description and transparent to NSIS.

It seems to me that while pre-emption is a different concern than
reservation lifetime, it still can be supported in the same way. The only
requirement that seems necessary is that NSIS must support the ability of a
QOS controller to release an existing connection. Specific cause codes would
be specific to the service and are out of scope and transparent to NSIS.

Comments?

Marco

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis